Bug 1382305 (CVE-2016-7979) - CVE-2016-7979 ghostscript: Type confusion in .initialize_dsc_parser allows remote code execution
Summary: CVE-2016-7979 ghostscript: Type confusion in .initialize_dsc_parser allows re...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7979
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1390299 1390300 1390301 1390302 1390489
Blocks: 1380329
TreeView+ depends on / blocked
 
Reported: 2016-10-06 09:52 UTC by Cedric Buissart 🐶
Modified: 2019-09-29 13:57 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that the ghostscript function .initialize_dsc_parser did not validate its parameter before using it, allowing a type confusion flaw. A specially crafted postscript document could cause a crash code execution in the context of the gs process.
Clone Of:
Environment:
Last Closed: 2017-01-04 11:10:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0013 normal SHIPPED_LIVE Moderate: ghostscript security update 2017-01-04 15:09:56 UTC
Red Hat Product Errata RHSA-2017:0014 normal SHIPPED_LIVE Moderate: ghostscript security update 2017-01-04 15:09:47 UTC

Description Cedric Buissart 🐶 2016-10-06 09:52:08 UTC
.initialize_dsc_parser doesn't validate the parameter is a dict type before using it.

This is a security issue, because it can be abused to escape the -dSAFER sandbox.

This allows a Denial of Service, arbitrary code execution.

Upstream bug :
 - Bug 697190 - .initialize_dsc_parser doesn't validate the parameter is a dict type before using it.
http://bugs.ghostscript.com/show_bug.cgi?id=697190

Upstream patch :
 - DSC parser - validate parameters
http://git.ghostscript.com/?p=ghostpdl.git;h=875a0095f37626a721c7ff57d606a0f95af03913

Reference :
http://seclists.org/oss-sec/2016/q4/37

Comment 7 Cedric Buissart 🐶 2016-11-01 08:43:06 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1390489]

Comment 9 errata-xmlrpc 2017-01-04 10:10:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0014 https://rhn.redhat.com/errata/RHSA-2017-0014.html

Comment 10 errata-xmlrpc 2017-01-04 10:11:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0013 https://rhn.redhat.com/errata/RHSA-2017-0013.html


Note You need to log in before you can comment on or make changes to this bug.